<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.dskj.daikuan.viewModel.home.MainViewModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/top_ly_f"
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:orientation="horizontal"
            android:paddingRight="@dimen/dp15">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/back_button"
                android:layout_width="@dimen/dp40"
                android:layout_height="@dimen/dp40"
                android:layout_centerVertical="true"
                android:scaleType="centerInside"
                android:background="@drawable/bg_ripple"
                android:src="@mipmap/ic_black_back" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="Loan List"
                android:textColor="@color/black"
                android:textSize="@dimen/sp16" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/menu_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@drawable/bg_ripple"
                android:src="@mipmap/add_img"
                android:visibility="gone" />

        </RelativeLayout>
        <RelativeLayout
            android:id="@+id/nodate_ry"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/top_ly_f">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/dp180"
                android:text="没有贷款信息"
                android:drawableTop="@mipmap/nodate_img"
                android:textColor="#19000019"
                android:textSize="18sp"
                />

            <Button
                android:layout_width="210dp"
                android:layout_height="50dp"
                android:text="Apply for a loan"
                android:textSize="@dimen/sp16"
                android:background="@drawable/item_bg_default1"
                android:layout_centerHorizontal="true"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="85dp"
                android:textColor="@color/white"
                android:id="@+id/tijiao_bt"/>
        </RelativeLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/top_ly_f"
            android:layout_marginTop="@dimen/dp10"
            android:visibility="gone"
            app:srlAccentColor="@color/colorPrimary">

            <com.dskj.daikuan.ui.view.BezierCircleHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp35"
                android:layout_marginRight="@dimen/dp35"
                android:overScrollMode="never">

            </androidx.recyclerview.widget.RecyclerView>
            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:srlAccentColor="@color/colorPrimary" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>


    </RelativeLayout>
</layout>
